Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Interface NotifyAttributes

    public interface NotifyAttributes

Author:
  Bernard Labno

Method Summary
`Double` | `getNonblockingOpacity()`
`String` | `getStack()`
`Integer` | `getStayTime()`
`String` | `getStyleClass()`
`boolean` | `isNonblocking()`
`boolean` | `isShowCloseButton()`
`boolean` | `isShowShadow()`
`boolean` | `isSticky()`
`void` | `setNonblocking(boolean nonblocking)`
`void` | `setNonblockingOpacity(Double nonblockingOpacity)`
`void` | `setShowCloseButton(boolean showCloseButton)`
`void` | `setShowShadow(boolean showShadow)`
`void` | `setStack(String stack)`
`void` | `setStayTime(Integer time)`
`void` | `setSticky(boolean sticky)`
`void` | `setStyleClass(String styleClass)`

Method Detail

### isSticky

    boolean isSticky()

### setSticky

    void setSticky(boolean sticky)

### getStayTime

    Integer getStayTime()

### setStayTime

    void setStayTime(Integer time)

### getStyleClass

    String getStyleClass()

### setStyleClass

    void setStyleClass(String styleClass)

### isNonblocking

    boolean isNonblocking()

### setNonblocking

    void setNonblocking(boolean nonblocking)

### isShowShadow

    boolean isShowShadow()

### setShowShadow

    void setShowShadow(boolean showShadow)

### isShowCloseButton

    boolean isShowCloseButton()

### setShowCloseButton

    void setShowCloseButton(boolean showCloseButton)

### getNonblockingOpacity

    Double getNonblockingOpacity()

### setNonblockingOpacity

    void setNonblockingOpacity(Double nonblockingOpacity)

### getStack

    String getStack()

### setStack

    void setStack(String stack)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.